Skip to:
Content
Pages
Categories
Search
Top
Bottom

[resolved] Anything with Jquery disables activity posting!

  • Avatar of enderpal444
    enderpal444
    Participant

    @enderpal444

    Everytime I try to use something that requires a Jquery file linked in the head like accordian menus or tabbed sidebars…it disables the ability to post on activity pages. Is there anyway to make them get along? Super frustrating.

Viewing 5 replies - 1 through 5 (of 5 total)
  • Avatar of enderpal444
    enderpal444
    Participant

    @enderpal444

    I’ve been trying to find the answers even though I know nothing about Jquery. It talks about wordpress jquery files being no conflict files. Are buddypress jquery files not set up to do that? What can add to other Jquery scripts to keep them from conflicting with buddypress?

    Avatar of @modemlooper
    @modemlooper
    Moderator

    @modemlooper

    Plugins should not include its own jquery, WordPress already includes it. Write the plugin author and tell them to fix their plugin.

    Avatar of enderpal444
    enderpal444
    Participant

    @enderpal444

    Their not really plugins. They’re two different tutorials I used to make A. tabbed sidebar widgets and B. Accordian menus. They each come with their own jquery scripts that you’re suppose to link to in the header. They each work when I do that but not both together and they both disable activity posting. Here’s the link to one of the tutorials.

    Tabbed sidebars…
    http://flowplayer.org/tools/demos/tabs/index.html
    .

    Avatar of @modemlooper
    @modemlooper
    Moderator

    @modemlooper

    You don’t need to link to jquery. It’s already included. If your js doesn’t work try changing $ to jQuery in your script if is using $().

    Though it could be the script itself.

    Avatar of enderpal444
    enderpal444
    Participant

    @enderpal444

    That worked great. The accordian menu required two different jquery files one which was like 1.4.2 and one called menu. I think the menu script was special and I changed all the $ to jQuery like you said and then deleted the 1.4.2 and everything works now. Thanks alot as always modemlooper!

Viewing 5 replies - 1 through 5 (of 5 total)

You must be logged in to reply to this topic.